# Interface methods for submodule: ImageFileWriter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: ImageFileWriter
class ImageFileWriterProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def SetImageIO(self, io) -> None:
		""""""
		...

	def GetModifiableImageIO(self):
		""""""
		...

	def GetImageIO(self):
		""""""
		...

	def Write(self) -> None:
		""""""
		...

	def SetIORegion(self, region) -> None:
		""""""
		...

	def GetIORegion(self):
		""""""
		...

	def SetNumberOfStreamDivisions(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfStreamDivisions(self) -> int:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def UpdateLargestPossibleRegion(self) -> None:
		""""""
		...

	def SetUseCompression(self, _arg: bool) -> None:
		""""""
		...

	def GetUseCompression(self) -> bool:
		""""""
		...

	def UseCompressionOn(self) -> None:
		""""""
		...

	def UseCompressionOff(self) -> None:
		""""""
		...

	def SetCompressionLevel(self, _arg: int) -> None:
		""""""
		...

	def GetCompressionLevel(self) -> int:
		""""""
		...

	def SetUseInputMetaDataDictionary(self, _arg: bool) -> None:
		""""""
		...

	def GetUseInputMetaDataDictionary(self) -> bool:
		""""""
		...

	def UseInputMetaDataDictionaryOn(self) -> None:
		""""""
		...

	def UseInputMetaDataDictionaryOff(self) -> None:
		""""""
		...

